---
index: 29
title: 'Why Programming is a Good Medium for Expressing Poorly Understood and Sloppily Formulated Ideas'
presentors:
  - Gerald Jay Sussman
thumbnails:
  small: 'http://mirror.csclub.uwaterloo.ca/csclub/sussman-why-programming-thumb-small.jpg'
links:
  - file: 'http://mirror.csclub.uwaterloo.ca/csclub/sussman-why-programming.mkv'
    type: 'Talk (MKV)'
  - file: 'http://mirror.csclub.uwaterloo.ca/csclub/sussman-why-programming-slides.pdf'
    type: 'Slides (PDF)'
---

I have stolen my title from the title of a paper given by Marvin Minsky in the 1960s, because it most effectively expresses what I will try to convey in this talk.

We have been programming universal computers for about 50 years. Programming provides us with new tools to express ourselves. We now have intellectual tools to describe "how to" as well as "what is". This is a profound transformation: it is a revolution in the way we think and in the way we express what we think.

For example, one often hears a student or teacher complain that the student knows the "theory" of some subject but cannot effectively solve problems. We should not be surprised: the student has no formal way to learn technique. We expect the student to learn to solve problems by an inefficient process: the student watches the teacher solve a few problems, hoping to abstract the general procedures from the teacher's behavior on particular examples. The student is never given any instructions on how to abstract from examples, nor is the student given any language for expressing what has been learned. It is hard to learn what one cannot express. But now we can express it!

Expressing methodology in a computer language forces it to be unambiguous and computationally effective. The task of formulating a method as a computer-executable program and debugging that program is a powerful exercise in the learning process. The programmer expresses his/her poorly understood or sloppily formulated idea in a precise way, so that it becomes clear what is poorly understood or sloppily formulated. Also, once formalized procedurally, a mathematical idea becomes a tool that can be used directly to compute results.

I will defend this viewpoint with examples and demonstrations from electrical engineering and from classical mechanics.
